Skip to main content
GET
/
team
/
activity
List recent API activity
curl --request GET \
  --url https://api.firecrawl.dev/v2/team/activity \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "endpoint": "scrape",
      "api_version": "v1",
      "created_at": "2023-11-07T05:31:56Z",
      "target": "<string>"
    }
  ],
  "cursor": "<string>",
  "has_more": true
}

Documentation Index

Fetch the complete documentation index at: https://firecrawl-mog-search-exclude-include-domains.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Lists your recent API activity from the last 24 hours. Use this to discover job IDs, then retrieve results with the corresponding GET endpoint.
EndpointRetrieval Endpoint
scrapeGET /v2/scrape/{id}
crawlGET /v2/crawl/{id}
batch_scrapeGET /v2/batch/scrape/{id}
agentGET /v2/extract/{id}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

endpoint
enum<string>

Filter by endpoint

Available options:
scrape,
crawl,
batch_scrape,
search,
extract,
llmstxt,
deep_research,
map,
agent,
browser,
interact
limit
integer
default:50

Maximum number of results per page

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination. Use the cursor value from the previous response.

Response

200 - application/json

Successful response

success
boolean
Example:

true

data
object[]
cursor
string | null

Cursor to use for the next page. Null if there are no more results.

has_more
boolean

Whether there are more results available